DOMNodeList
DOMNotation
DOMNodeList
PHP Manual

# DOMNodelist::item

Retrieves a node specified by index

### Description

DOMNode DOMNodelist::item ( int `$index` )

Retrieves a node specified by `index` within the DOMNodeList object.

Tip

If you need to know the number of nodes in the collection, use the length property of the DOMNodeList object.

### Parameters

`index`

  Index of the node into the collection.

### Return Values

The node at the `index`th position in the DOMNodeList, or `NULL` if that is not a valid index.

### Examples

Example #1 Traversing all the entries of the table

`<?php
$doc = new DOMDocument;
$doc->load('book.xml');
$items = $doc->getElementsByTagName('entry');
for ($i = 0; $i < $items->length; $i++) {
echo $items->item($i)->nodeValue . "\n";
}
?>`

Alternatively, you can use foreach, which is a much more convenient way:

`<?php
foreach ($items as $item) {
echo $item->nodeValue . "\n";
}
?>`

The above example will output:

    Title
    Author
    Language
    ISBN
    The Grapes of Wrath
    John Steinbeck
    en
    0140186409
    The Pearl
    John Steinbeck
    en
    014017737X
    Samarcande
    Amine Maalouf
    fr
    2253051209